Overview

Welcome to NewsLook, an NNTP Client for Outlook. NewsLook includes the following features:

  • Proper threading of Newsgroup conversations

  • Multiple NNTP Servers with multiple authorisations

  • Extended Kill File, increasing as well as decreasing the importance of posts and threads

  • Tight Outlook Integration

  • Free Support Newsgroups built in

  • Timed collection of messages

  • Google Groups search from posts

  • ROT13 encryption

  • Custom Headers

  • Multiple Outlook Profiles supported

  • Add posters to your contacts

  • Optional NNTP-over-HTTP

  • Interface for third-parties to develop their own formatting modules. An example is supplied which will colour-code messages.

NewsLook is (c) 2004 ghytred Ltd

Portions are from MAPILab Ltd: Copyright (c) 2003 MAPILab Ltd. http://www.mapilab.com/

We would like to thank the patient MVP's - and others - who provide much wisdom on the Microsoft Newsgroups, and the beta testers of NewsLook, who put up with quite a lot and provided some wonderful ideas and much patience. They really are appreciated.


Quick Start

Assuming that you have all pre-requisites installed, you have downloaded and unzipped the NewsLook installation file (NewsLook.msi), and you have your licence string ready, the installation procedure is:

  • Quit Outlook

  • Double-click on NewsLook.msi and follow the instructions

  • When finished, start Outlook. You will be prompted for your Licence string. Enter it and click Next

  • NewsLook will prompt you for the custom form it uses to display Newsgroup messages. It looks for it in the Program Files folder you have installed NewsLook in; if it finds it there it will display the path to it; if it doesn't find it, click find and navid=gate to the folder you have put it in. Select it (ghytred.Usenet.oft), and click Next.

  • NewsLook will display the details you have entered. Click Finish, and NewsLook is now installed.

To get started, we'll go through connecting to a News Server, downloading the list of groups, and subscribing to some of them.

Click the NewsLook Options button on the main Outlook form, and then the News Servers tab. Since you have no servers set up, NewsLook will start in 'Add' mode:

Enter the 'Friendly Name' for the server - any name you want. (This name must be unique: you can't add two servers with the same friendly name.) Enter the Url of the server; you can get this from your ISP, or from another server you know about. Url's are generally of the form news.some-isp-name.com, but can be any valid Url. Enter the Port; again your ISP will inform you of this, but 119 is usually used.

If the server requires you to logon, click the 'Server Required Logon' tick-box and enter the username and password you need to use.

You can now click 'Test Connection', which attempts to logon to the server, and tells you the results:

Now you need to enter the Outlook folder which this server will use. Click the Browse button on the 'Folder Name' line; this will show you a list of Outlook folders, and allow you to select one (and create one if you need to). It's best to create a Folder for each Server. Each Newsgroup you subscribe to from the Server will have it's messages stored in a folder (one per group) within the folder you choose for the Server.

Once entered, click Save. You can come back later and fill in the rest of the details (see here for the full details). Let's proceed to subscribing to Newsgroups.

Click the NewsGroups tab, and then 'Load full group list from server'. NewsLook will then go to the server and get the list of all groups. Depending on the number of groups this can take a little time. Once the list is returned, they will be displayed (in alphabetic order) in the main list. You can use the filter to look for groups with particular words in their names: type in a word (e.g. cats, physics, whatever) and press Enter. The list will show all groups which contain the word entered:

Tick the box by groups you want to subscribe to - you can see that I'm subscribed to alt.humor.best-of-usenet and alt.usenet.kooks

You're now ready to collect some messages!

Close the Options form. On the main Outlook toolbar, change the entry by the 'Collect' button from 'Select' to 'All', and then click Collect.

NewsLook will now do the collection. It will first create folders for the groups you've subscribed to under in the folder you selected for the Server, and then go off to the server and collect a number of messages from these groups. Whilst the collection is running, a NewsLook icon will appear in the system tray. When it disappears, the collection is done.


Installation Planning

Check CDO is installed

It is worth checking that Colloboration Data Objects are installed prior to installing NewsLook. To do this, search your disc for a file called CDO.DLL; this may be in c:\Program Files\Common Files\System\MSMAPI\1033. If not there do a search for it. If not found then you'll have to install it from your Outlook installation CD.

Run the Setup program from the CD and choose 'Add or Remove features'. On the next screen, make sure that Customization is ticked and click Next.

CDO can be found as a sub-choice of Outlook:

Make sure that Collaboration Data Objects are selected for installation (as above) and click update.

Which Data File?

There is really only one decision to make prior to installing NewsLook: whether to put NewsLook posts in your main Outlook Data File, or create one especially for it. For users of Outlook XP, this is not terrifically significant, but it does make a difference for users of Outlook 2003. If you are using Outlook 2003, you can use Kill File Xtra to set a colour flag on posts from specific users. These show up in the 'For Follow Up' folder in Favourites if they are in your main Outlook Data File: this may not be what you want. If you put NewsLook posts in a different Data File, then they won't show up there. To do this, you must create a Data File, via File > New > Outlook Data File, before installing NewsLook. If you choose to do this, Outlook 2003 will ask which format (Outlook 2003 or previous versions) you want: NewsLook does not mind which.

One reason for using a separate Data File is so that you can transport it between different machines (for instance work and home) and have all messages in the same file, with no duplications between machines. To do this, you will also need to take the configuration files found in Documents and Settings\your logon name\Application Data\ghytred\NewsLook


Options

NewsLook Options are set via the NewsLook Options button on the main Outlook toolbar.

This brings up the main NewsLook Options screen:

Navigation

You can use the Tree View on the left, or the tabs along the top to move about between the different screens. The Tree View shows the main tabs, and additionally under the Servers tab a list of the Servers you have set up, and under each of these, the Newsgroups you are subscribed to. Clicking one of the Server names navigates to the News Servers tab with the clicked server selected. Clicking one of the subscribed groups navigates to the NewsGroups tab with the server supplying the clicked Newsgroup selected and the list of Subscribed groups showing.

Collection Tab

This allows you to set some of the parameters of NewsLook's behavior, mostly to do with the number of massages collected.

News Servers Tab

Here you setup the News Servers you connect to: the addresses and authentication details, and posting details such as your Signature and Reply intro text

Newsgroups Tab

This allows you to see the entire list of Newsgroups supplied by a server, and to subscribe and unsubscribe from individual groups

Kill File Tab

This is where you tell NewsLook to ignore or mark for attention postings from various individuals

Profiles Tab

If you have multiple Outlook profiles, you may need to do some set-up work here.

Advanced Tab

This controls some of the more technical areas of NewsLook.

Code Pages Tab

If you read Newsgroups whichnot posted to in English character sets, Outlook and NewsLook will apply some translations to the character sets and Code Pages used. If these are not working well, you can amend them here.

Timings Tab

This allows you to create sets of Newsgroups to be collected together, and the frequency of their collection.


CollectionTab

Number on First Collect

News Servers keep messages posted for a certain amount of time. This can be quite along time, and on busy groups this means that a server can be holding 10's of thousands of messages. When you first collect messages from a group you've just subscribed to, NewsLook needs to know how many of these to collect. This number defaults to 200, as above. If you set this to 0, it will collect all messages that the server holds, which can be rather more information than you bargained for!

If it's set to a number, such as the 200 above, it will only collect the most recent up to the number that you enter here.

Note that it's possible that NewsLook will collect less than this number. A server will tell NewsLook the firest and last message numbers it has (e.g. 1000 and 2000). NewsLook with then ask the server for most recent number of then (e.g. 1801 to 2000 inclusive). If there are missing numbers, which happens quite often, then NewsLook will end up collecting less than the number specified. In the example numbers I have been using, I would not be surprised to collect only 198 and not 200. Much less than say 190 out of 200 might indicate that the server has recently had some problems.

The Maximum Number of messages ever

One of the groups I read has about 500 messages a day posted to it. If I go on holiday for a week or two, there will be a large backlog to download when I come back. It's not going to be practical for me to read 7000 messages! Thus I can set a maximum number to collect here. If the server tells NewsLook that it has 7000 new messages since I last collected, NewsLook can collect only the last number that I set here. If this number is set to zero (as in the screen shot), then it will collect them all - no matter how many there are.

Initial Delay

When Outlook starts up, it quite often goes through several housekeeping routines. If Outlook is connected to Exchange Server and running in cached mode, this can take a little while. Whilst Outlook is doing that it may not be a good idea to have NewsLook competing for resources by starting a timed collection. Setting this entry to say 3 will delay the first collection until some time after Outlook has started, allowing a smoother startup.

Cross Posting detection

Quite often, messages are posted to more than one group (crossposted). It is possible that you are subscribed to some groups where a number of messages are duplicated; for instance I read sci.physics and sci.physics.relativity. Quite a large number of messages are crossposted to these two and it would be a waste of time for me to see the same message in both groups. CrossPosting detection aims to discover these messages and only save them once.

There are three levels of detection:

  • None: no attempt is made to detect any crossposting

  • Within messages from the same server: messages are checked against messages in groups from the same server only.

  • Across all servers: messages are checked across all messages NewsLook downloads.

When a message is found which already exists, it is just discarded and not saved to your Outlook folders.

Use Date Posted as Date Received

Each message collected has a Posting Date on it. This is recorded by NewsLook as the Date Sent in Outlook. The Date Received can be set to either the actual date and time the message was received by NewsLook, or to the date posted. This affects the way Outlook sorts conversations - the order they are shown in; experiment and see which way you prefer.

Posting Options

If 'Confirm messages have been posted correctly' is set, NewsLook will popup a message box telling you that the message was queued for posting to the server after posting a new message or a reply. (If the message wasn't posted sucessfully, NewsLook will always tell you.)

The 'Preview Posting' option allows you to see the message as it will go the Usenet (headers and all) prior to queueing it for posting; you can choose to cancel the post if you wish.

NewsLook Licence

If you started using NewsLook on a trial Licence, this is where you can enter the full licence.

If the trial licence expired, then NewsLook will popup a message when Outlook starts up and you can enter the licence there.

Check for Updates

Clicking this makes NewsLook go to the ghytred web site and get the latest version of NewsLook released. If your version is older than that, NewsLook will warn you.


News Servers

This page is where you tell NewsLook about the NNTP Servers you're going to access.

When you first enter it, there are no servers set up and it will click the 'Add Server' button for you. To then add a server, you enter it's name - a friendly name you will know it by - and its URL (news.individual.de for example) and the Port it uses, which is usually 119. Your ISP should provide you with one and this information will come from them; alternatively there are a number of free servers around which can be found via Web searches.

The thing which uniquely identifies the Server to NewsLook is the friendly name, not the url. This means that you can add the same server more than once, splitting it into different Outlook Folders (see below). This means that from the one NNTP Server you could have groups about say Health in one place in Outlook and groups about say Physics, Cats, Dogs, etc, in a different place keeping your data organised as you would like it.

If your server requires you to logon, enter your username and password; it if doesn't then uncheck the 'Server requires Logon' tick box. You can then check that you've entered the details sucessfully by clicking the 'Test Connection' button. This will attempt to connect to the server (and logon if you've enter a username/password) and tell you the results. If sucessful then it's worth continuing.

The Server Type in the drop down list at the bottom left aslo needs to be set. The default of 'NNTP Server' is fine for 99% of Servers, but if you are setting up the NewsLook Groups, or using ghytred's NNTP over HTTP service, you need to set this appropriately.

The Folder Name is the Outlook folder which will hold groups subscribed to from this server. Clicking the Browse button is the only way to set this and it must be done before the server can be saved. The Browse button lets you create a folder as well.

This image shows the Outlook folder for the Server I have called 'CIS DFN new threading', and the five groups I've subscribed to from that server.

The EMail address will go into the NNTP Headers of any message you post, as will your full name. There are a couple of options for formatting the "From" header; NewsLook will format all posts to the server above with the data as I've entered it as: Simon Smith <spam.trap@nothere.ghytred.com>

Why the funny email address? Unfortunately usenet is used by spammers to 'harvest' email addresses to which they send their unsolicited requests. Some form of protection is required. This is usually done by 'spam trapping' your email address and providing in the message - usually the Signature (see below) - some way for a human reader to work out what your email address actually is. Thus I could have entered my email address as 'not.me@go.away.com' or something even less polite. However, the News Server I'm setting this up for requires that it's users provide an email address that they can at least partly verify to prevent misuse. In this case they will look for a valid Internet address for the last two parts of the email address - which I provide with the 'ghytred.com' part. However if email is sent to anyone at 'nothere.ghytred.com' then it will bounce as that is not valid.

The Organisation field is added as a header to posted messages. It is a convention to put something there, though quite often what's there does not relate to Organisation in any meaning of the word I know of.

There are two text options: Sig and Reply Intro; clicking between them will show the currently selected option to the right.

The Signature will be added automatically to each post you make. It is considered rude to have a 'sig' longer than four lines, though this is quite often ignored now-a-days. Sigs should start with two dashes and a space: '-- '. NNTP clients (like NewsLook) should trim all text after this sequence when replying to posts (see also Top/Bottom posting options below). NewsLook will add the sig-dash to your signature if you do not supply if (but see top and bottom posting below).

The Reply Intro text is thext which appears on replies you make just above the quoted text of the message you are replying to. NewsLook allows you to tailor it to some extent by using two codes: %n for the name of the person who posted what you are replying to and %d for when they replied to it. The default is 'On %d, %n wrote:' which translates into for example 'On 12 May 2004 13:44:00, Simon Smith wrote:'. Your imagination will supply with other versions.

Finally there is the Top or Bottom Post option: this governs whether you will be adding your comments at the top, above the previous message, or at the bottom, below the previous message. The Sig you specify will be put either above or below the previous message depending on this option. If you are Top posting, NewsLook will strip out any leading sig-dash; if bottom posting NewsLook will supply a sig-dash if there isn't one in your sig already.

Once you've set up your server you can click Save and NewsLook will be ready for the next step: subscribing to Newsgroups


Newsgroups

Groups are 'organised' into eight main hierarchies:

  • comp. (computers)

  • humanities. (not many of these left nowadays)

  • misc. (miscellaneous subjects)

  • news. (mostly about Usenet itself)

  • rec. (Recreational subjects)

  • sci. (science)

  • soc. (society)

  • talk. (places to talk about various subjects)

Creating news groups in these hierarchies is fairly tightly controlled. The other big group is the alt. group, where more-or-less anything goes and in fact alt. groups probably make up more than half the groups in existence.

Each Newsgroup has some sort of unifying subject matter. Posts which don't concern this are said to be 'Off Topic' or OT for short. There are many many thousands of groups, so whatever you're interested in you should be able to find one which includes your interest. No NNTP server that I know of stores all news groups; that's why NewsLook allows multiple News Servers. However, even though a lot of Groups can't be got from most servers they will store quite a few. There is one server I know of which stored over 90,000 groups; the one below stores about 23,000 different groups, and new ones get added frequently.

This image shows the 'CIS DFN@ server after I've loaded the full group list from the server:

Initially, when you've just created a News Server, there will be no groups in the list here. To get a list of groups available, click the 'Load full group list from Server' button. This can take a while depending on the number available. Once loaded, the 'Show All groups' option will be automatically selected and the full list shown. As part of loading this list, NewsLook also saves the list into a text file. Clicking on the 'Show All Groups' loads this text file. You can narrow this down by entering some text in the box as:

You can change the filter by entering a new search name and hitting the 'enter' key.

Once you've found a group you're interested in, check the tick-box, This will automatically save the group as one of those you're interested in - subscribed. The image above shows that I've subscribed to at least two groups from this server. The next time collection runs, it will get messages from the groups you've selected.

Similarly, clicking on a Subscribed group to un-check the tick-mark will automatically remove the group from your list.


Kill File

The Kill File allows you to mark messages from certain posters as more or less important. Back in history of Usenet, Kill Files were only used to list names of people whose messages you didn't want to read, but modenr clients like NewsLook allow you to increase the importance of a message as well.

This page allows you to set messages from named posters as more or less important, to give then Outlook 2003 flags, to mark them as already read, or to skip them totally.

To add one, just enter the name of the poster, the Server and possibly the Group, and the Action you wish. Then click 'Add Action' and it will be in the list. Similarly, to delete one, select it in the list and the details will appear in the four fields at the top; click 'Remove Action' and it will be removed.

For the Poster, you either use the email - e.g. anonymous@anon.com - or the poster's name.

The Action can be one of:

  • Set Importance High

  • Set Importance Low

  • Set message read

  • Flag with one of the six colours available in Outlook 2003

  • Do not save - in other words, throw away the post.

This example shows some of the options after application:

As you can see, messages from various people have been flagged different colours, and at least one poster has had messages set to 'Low Importance' (names blanked to protect the innocent). What do these colours mean? That's up to you!

You can also add Kill File actions to replies to a particular message, and to whole conversations. See the 'Kill File' action in Other Actions


Advanced

There is nothing really Advanced in here, but these are settings you should probably not change without good reason.

The Form for Posting is the name of the Outlook Custom Form which displays the NewsLook postings. You should not change this.

Clear Outlook's Form Cache addresses a problem with Outlook and Custom Forms. Outlook will occasionally 'corrupt' the form's details in the compiled version of it which it makes. When this happens the NewsLook form will not show, and you loose the NewsLook capabilities. See here for more details. Setting this tick-box on will cause NewsLook to delete the Outlook form cache when Outlook closes down. This can sometimes help if Outlook corrupts the cache often.

The Collection Resources affects how many 'workers' NewsLook creates to go and collect messages for you. If you set one per server, then NewsLook will create one worker to got and collect messages from each of the servers being collected from. That worked will be responsible for collecting messages from all of the groups subscribed to on that server, one after the other. Setting it to one per Group means that NewsLook will create one worker per group, each worker being responsible for only that group. This is faster then one-per-server, but does use more resources on your computer. See Collection Process for more details

The backup Configuration Data button does just that: it makes a copy of all your NewsLook options. These options are kept in a number of files placed in the Documents and Settings\your name\Application Data\ghytred\NewsLook folder. This button copies then to a folder called Backup with that folder.

NewsLook keeps a log of interesting events which happen. This log file is called NewsLookLogging.txt and it is kept in the same folder as the configuration files. It can get quite large, so this allows you to delete it.

Normally, you would have Logging turned off: all logging options in the list to the left. However, if you are having a problem with NewsLook then we might ask you to turn on some types of Logging; you would do this here.


CodePages

If you read groups which have messages posted in non-english character sets NewsLook tries it's best to map them to CodePages Outlook understands.

The Mappings are maintained here. If for instance you do not want KOI8-R mapped to Code Page 20866, you would change it in this page.

NewsLook performs code page mappings by looking at the headers of the posting it collects. (These should always be in US-ASCII.)

NewsLook examines the Content-Type/Charset header of each posting, and if that specifies a charset it uses the name of that charset to get a CodePage and Encoding for that charset and applies it to the message. If the header does not contain a Content-Type header, NewsLook uses UTF-8 encoding.


Timings

See Collection Sets.


Collection Process

Actually Collecting Messages

When NewsLook collects messages, it goes through two main phases.

  • Collects a list of all existing messages held in Outlook

  • Collects new messages from the requested Servers and Groups

Whilst Collecting is in progress, the NewsLook icon appears in the System Tray, ringed in green below, rotating the red stripe from left to middle to right every 1.5 seconds.

When Collection finishes, the icon disappears. Double clicking on the icon will show thhe Collection progress screen:

Almost all of the groups have been collected here.

Phase I - collect existing messages

This only happens on the first collection after Outlook is started. In this phase it collects a list of all messages it already has. It does this for two reasons: first to prevent duplicates being saved, and second to allow crosspost detection. In this phase, each server will appear on it's own line:

This shows CIS DFN has actually finished collecting existing messages (this screen shot was taken from a subsequent collection, when it had already collected them all). Once all existing messages have been collected for all servers, NewsLook goes on to Phase II

Phase II - get new messages

In this phase NewsLook will create a worker to get the messages either for each Server or for each group (see the Advanced Tab). Collecting from a group goes in turn through two stages: actually collecting the messages from the server, and then threading them and posting them into Outlook.

The extract above shows that NewsLook has finished collecting and threading messages from one group in the 'MS via Ghytred' server, and is still collecting messages from the other two. (In fact, there were no new messages for it to collect for the group it's finished.)

When collecting messages, NewsLook will start from the the next message after the last message it collected for that group (but see the first two options on the Collection tab for when it will collect less).

Which groups to collect for

NewsLook will either collect messages to a set timetable, governed by Collection Sets, or when you ask it to. Usually, you will probably leabe NewsLook to collect on the schedule you have created, but occasionally you will want it to go and collect now.

Server Limitations

Some Servers will not like you opening too many connections at once. If you are collecting from say 5 groups on a server and you have NewsLook set to collect with one worker per group, you will be opening 5 simultaneous connections to the server. If this breaks the terms of the server, you will need to:

  • Set NewsLook to one worker per Server

  • Create more than one NewsLook server for the server in question, split the groups up between them, and put then on schedules which will not overlap, thus ensuring that the number of simultaneous connections is kept down. If you do this in conjunction with setting NewsLook to one worker per server, then you can still get multiple connections per server for the sake of speed, but cut down the number of connections to keep the server happy.

You can see from the names I've given them in the list above that I have two servers set up ('CIS DFN' and 'CIS Fun stuff') which actually connect to the same server. I've actually done this so that I can store the groups in different places in Outlook, but equally I could have done it to cut down the number of connections.


Collection Sets

A Collection Set is a set of Newsgroups (not necessarily all from the same server) who will have new messages collected at the same time. They are set up on the Timings tab of the NewsLook Options. Here are some of mine:

You can see that with great imagination I have called my groups 'Every 10 Minutes', 'Every 15 Minutes', et cetera.

Setting up and populating Collection Sets

When you subscribe to a Newsgroup, it is automatcally added to a Set called 'default'. To create a new Set and move groups to it, go to the Options > Timings tab. Click 'Add group definition' and type in a name for the new Set and set the name and whether to collect it automatically and if so how frequently. Click the Save button. Repeat for all the Sets you want to define.

To move a group from one Set to another, pick the target Set (the Set you want the group to be in) in the drop-down at the top. Then select the Group in the list below - it will be under the 'default' set if you've just subscribed to it. When selected, a button will appear at the bottom of the form giving you the option to move the selected group to the selected Set. Clicking it will move the group to the selected Set.

Collection Set scheduling

Every 20 seconds, NewsLook checks whether it is time for a Collection Set to be collected. If it is, then it will be collected - unless a collection is already in progress. NewsLook currently only runs one collection at a time. If two Sets are due to be run, NewsLook will schedule the first one it finds

If you have a group which is not collected automatically, you must start a collection yourself whenever you think it appropriate by using the Collect button on the main Outlook toolbar. In the same way, if you want to collect a group or groups before their time is due, use the Collect button.

Deleting a Collection Set

Simply select the Set to be deleted in the drop down, and then click the Delete button. All groups in the set will be added to the 'default' set. The 'default' set cannot be deleted.


Collect Now

Just next to the Collect button is a drop-down with two options - Select and All. If All is showing when you click the collect button, then all groups will be collected. However, if Select is shown, the Select Collection Set form will be shown. This lists all Collection Sets and their groups. You can select complete sets or individual groups until you are have selected everything you want collected; click the 'Collect Selected Sets/Groups' button and those selected groups and Sets will be collected.

In the Progress form, the collection will appear with a name of 'MixedSet' (unless you selected only one, complete, Set in which case it uses the Set's name).

Whilst the Select form is open, NewsLook will not start any times collections.

While the Select Set form is displayed, a timed collection will not start.


Multiple Profiles

If you have multiple Outlook profiles, you may need to do some extra setup work as NewsLook will only be properly installed for Profile you used when you completed the installation.

To enable NewsLook for a profile, you must publish the NewsLook form to that profile's Personal Forms Library.

To do that, start Outlook and select the profile to enable. Go to the IOptions > Profiles tab, and click the 'Publish NewsLook form' button. If NewsLook cannot find the form it will ask you to browse for it. It will be in a file called ghytred.Usenet.oft and should be in NewsLook's Program Files\ghytred\NewsLook folder (or where-ever you decided to install NewsLook).

There may also be profiles which you do not want NewsLook to work in. To do that, enter the profile name in the text box and click the 'Disable Profile' button. You can see above I have disabled a profile called Fred. You can re-enable a profile if you want to by using the button at the bottom.

Disabling a profile disables the Collect and New Post options. Further, if the NewsLook form has not been published for that profile then none of the custom actions will be available in that profile.

If NewsLook is enabled in multiple profiles, it may happen that a server has it's folder set in a PST file which is not loaded in that profile. If this happens, NewsLook will not collect new messages from that server.


NewsLook Groups

Ghytred maintains a number of message groups for support. These can only be accessed via NewsLook. We callthem 'message groups' rather than 'Newsgroups' as they are not actually proper NNTP Newsgroups, but rather run by bespoke software on the Ghytred site which mimics a sub-set of NNTP commands.

To set up you copy of NewsLook to access these groups, set up a News Server with a Url of http://www.ghytred.com/NewsLook/News/NewsLookNews.asmx

Ensure that the type of server at the bottom left is set to 'NewsLook groups':

There are currently four groups set up: newslook.development, .general, .help, and .test. Please feel free to use them.


NNTP over HTTP

This is an extra service which Ghytred supplies for a monthly fee. You may find it useful if you are behind a firewall which does not allow outgoing connections over port 119, and thus you are prevented from connecting to your favourite News Servers.

Using this facility you set up your server as usual, including the server URL and port, but set the server type to be 'Access via Ghytred'. For servers set up this way, NewsLook routes all calls via ghytred's web site, which forwards the calls to the final, real, NNTP Server.

Sadly, due to bandwidth availability, we cannot make this option generally available but if you are interested in this service, please email Simon Smith at ghytred to discuss your requirements.


Message Overview

NewsLook messages are created in Outlook using a special, custom, form which is published to your Personal Forms Library. In Outlook 2003, messages may be viewed in the reading pane:

Outlook 2002 (Office XP) does not allow viewing messages this way; you have to double-click the message to show the NewsLook form. Similarly, double-clicking the message in the folder list in Outlook 2003 shows the message form (the posters email blanked purposefully):

The Headers tab shows the original NNTP message headers. Neither they nor the message can be edited in this view of a message.

Right-clicking a message in the folder list gives the Custom Actions, as do the buttons on the form: Google, ROT13, Post reply, and Add Contact. Note that you have to select the message via a left-click to get reliable results from the right-click: if the message has not actually ben selected NewsLook does not know that the message is the one meant.

The message can be forwarded or printed from here. To reply to it, click the 'Post Reply' option (details here). Clicking the option NewsLook custom actions is described here.


Replying and New messages

New messages

You get the option to create a new message when your current Outlook folder is a folder belonging to a group you are subscribed to. When this is the case, the 'New Post' button in the main NewsLook toolbar is enabled:

If your current folder is not a group folder, this button is disabled.

Filling the Message Form

Both replying to a message and creating a new message result in the same form appearing; the difference is that a new message will have no subject or message body filled in:

Top or Bottom Posting and your Sig

The message above is to be posted in a group which uses Bottom Posting - that is, replies are added at the end of the message and thus a sig-dash has been added and the sig appended at the bottom of the previous message. See here for details of how to set this up.

Adding Newsgroups

With a new message, the Newsgroups line will be filled in with the name of then group in whose folder you were when you clicked 'New'. With both new messages and replies, you can add more newsgroups for crossposting by adding them with a comma between thjeir names. For instance, you could change the newsgroup line to read:

sci.physics.relativity,sci.physics,alt.vampire.flonk.flonk.flonk

and the message will be posted to all three groups (yes, the last one does exist). If one of the groups, however, does not exist (or at least doesn't exist on the server you are posting to) the whole message will be rejected by the server and will not be posted to any of the groups on the list.

Alternatively, you could change the Newsgroup line to a list of groups you are not subscribed to at all and the posting will succeed, as long as they are valid groups on the server.

Adding Headers

You can add custom headers by adding to the AddedHeaders line. Multiple headers are added by separating them with ';'. For instance, you could add 'X-No-Archive: true;X-Fun: Yes'. be careful here, as adding any of the required headers will result in them being duplicated by NewsLook and rejected by the Server.

Followups

NewsLook does not honour 'Followups' headers. These are too often abused.


Other Actions

Google Button

Clicking the Google button opens a browser at Google's Groups archive, with a search for a thread with the topic of the current thread in the current Newsgroup.

This is to help you to recover the full context of a thread if you don't have all the messages in the thread.

ROT13

ROT13 (Rotate 13) is Usenet's way of indicating that you might not want to read this as it contains 'controversial' material. ROT works by swapping A dn a with O and o, B and b with O and o, et cetera. Clicking the ROT13 button opens up a new windows with the body of the current message displayed. You can then either select some text, or leave the whole message unselected, and click the 'Apply' button'

The will apply ROT13 to the selected text, or the whole message, thus encoding it or decoding it.

Help

Clicking the Help opens this help file

Add Contact

This opens a new contact form in your default Contacts folder, containing the details of the poster of the current message:

You can then fill in any other details you wish and save in your contacts folder.

Kill File

This option brings up the following screen:

This allows you to add the Kill File actions (flag, ignore, etc) to not only the poster of the current message, but also to all replies to the current message and to the whole conversation as well. The latter two will only apply to the current group, but with the Poster you get the standard options to add the actipon to messages in the current group, current server, or everywhere.


Formatting Messages

NewsLook supplied an interface for programmers to develop against which allows formatting of messages as they are downloaded from Usenet, and also to format message replies.

A sample of this is supplied in the file SimpleFormatter.zip, found in NewsLook's Program Files folder. The actual dll is also in the program Files Folder, called NewsLookFormatExample.dll. You can try out the supplied example to make messages look like this:

To do this, use the Advanced Tab to set up the External Formatter to point to NewsLookFormatExample.dll; there is only one Type in the dll, so that will be selected automatically. Any messages collected after doing this will have their different levels of indentation colour-coded.

If you develop a nice formatter and would like to have a pointer to it on the NewsLook web-site, please contact us.


Form Problems

Outlook caches all its custom forms. That is, it loads then into memory and keeps them available for when they are needed. There have long been problems with this cache and sometimes it becomes, in the technical term, corrupted and needs to be cleared. It is characterised by trying to open a NewsLook message giving an error message, or opening a standard Outlook 'Post' form (not the pretty one with the NewsLook icon and the Usenet fields etc).

To do this, click the Tools option on Outlook's main menu, and then 'Options'. Go to the 'Other' tab and click 'Advanced'. This will bring up a new dialog box; click the 'Custom Forms' button, and then the 'Manage Forms' button.

This will give you an option to 'Clear Cache'; click it; it will probably take less than a second to do its stuff and clicking it again won't hurt or matter at all.

Finally, click OK or Close on all the forms you have opened. It is possible that the next time you change folders or open a message you will see a message box pop up - very quickly - with a progress bar which flashes across it and then disappears (don't worry if you don't see this; it really is fast). This is just Outlook rebuilding the form cache.

If this problem occurs frequently, you can set NewsLook to clear the forms cache when Outlook closes down (in the Advanced tab), but this should be a last resort.


Getting Support

Assuming that you can install NewsLook (if not, see here), you can use the NewsLook Groups for support. They are monitored by ghytred and are seen by other users as well, so it is quite likely that your problem can be solved fairly quickly by searching or posting there.

Alternatively, send an email to Simon Smith.

If you have a problem with Installation, try here for some pointers.


Installation Problems

If you have installed NewsLook, and the the NewsLook bar does not appear on the main Outlook bar,

there are a couple of things to check.

Do you have CDO installed? This is a pre-requisite and NewsLook will not work without it.

Go to Outlooks Tools menu. and take Options > Other > Advanced > Com Addins

Is NewsLook listed there? If so, is it ticked, or does it display a message as below:

If it looks something like the above and you are sure you have installed CDO, please email ghytred.

If it's not there, go to Outlooks main Help menu and take About Outlook, and then click the 'Disabled Items' button. Is NewsLook there? If so, enable it and restart Outlook.

Finally, if all fails, email us!

(We hope you never have to read this page)